Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.perspective.persist.xml
Interface PersistenceConstants

    public interface PersistenceConstants

Created on 2005-06-03

Version:
  $Id: PersistenceConstants.java,v 1.19 2005/07/06 17:27:45 winnetou25 Exp $
Author:
  Mateusz Szczap

Field Summary
`static String` | `DIMENSION_ATTRIBUTE_HEIGHT`
`static String` | `DIMENSION_ATTRIBUTE_WIDTH`
`static String` | `DIMENSION_ELEMENT_NAME`
`static String` | `DOCKABLE_ATTRIBUTE_ID`
`static String` | `DOCKABLE_ELEMENT_NAME`
`static String` | `DOCKABLE_NODE_ATTRIBUTE_DOCKABLE_ID`
`static String` | `DOCKABLE_NODE_ELEMENT_NAME`
`static String` | `DOCKING_PATH_ATTRIBUTE_IS_TABBED`
`static String` | `DOCKING_PATH_ATTRIBUTE_ROOT_PORT_ID`
`static String` | `DOCKING_PATH_ATTRIBUTE_SIBLING_ID`
`static String` | `DOCKING_PATH_ELEMENT_NAME`
`static String` | `DOCKING_PORT_NODE_ELEMENT_NAME`
`static String` | `DOCKING_STATE_ATTRIBUTE_DOCKABLE_ID`
`static String` | `DOCKING_STATE_ATTRIBUTE_FLOATING_GROUP_NAME`
`static String` | `DOCKING_STATE_ATTRIBUTE_MINIMIZE_CONSTRAINT`
`static String` | `DOCKING_STATE_ATTRIBUTE_REGION`
`static String` | `DOCKING_STATE_ATTRIBUTE_RELATIVE_PARENT_ID`
`static String` | `DOCKING_STATE_ATTRIBUTE_SPLIT_RATIO`
`static String` | `DOCKING_STATE_ATTRIBUTE_STATE`
`static String` | `DOCKING_STATE_ELEMENT_NAME`
`static String` | `FLOATING_GROUP_ATTRIBUTE_NAME`
`static String` | `FLOATING_GROUP_ELEMENT_NAME`
`static String` | `LAYOUT_ELEMENT_NAME`
`static String` | `LAYOUT_SEQUENCE_ELEMENT_NAME`
`static String` | `PERSPECTIVE_ATTRIBUTE_ID`
`static String` | `PERSPECTIVE_ATTRIBUTE_NAME`
`static String` | `PERSPECTIVE_ELEMENT_NAME`
`static String` | `PERSPECTIVE_MODEL_ATTRIBUTE_CURRENT_PERSPECTIVE_ID`
`static String` | `PERSPECTIVE_MODEL_ATTRIBUTE_DEFAULT_PERSPECTIVE_ID`
`static String` | `PERSPECTIVE_MODEL_ELEMENT_NAME`
`static String` | `POINT_ATTRIBUTE_X`
`static String` | `POINT_ATTRIBUTE_Y`
`static String` | `POINT_ELEMENT_NAME`
`static String` | `RECTANGLE_ELEMENT_NAME`
`static String` | `SPLIT_NODE_ATTRIBUTE_DOCKING_REGION`
`static String` | `SPLIT_NODE_ATTRIBUTE_ORIENTATION`
`static String` | `SPLIT_NODE_ATTRIBUTE_PERCENTAGE`
`static String` | `SPLIT_NODE_ATTRIBUTE_REGION`
`static String` | `SPLIT_NODE_ATTRIBUTE_SIBLING_ID`
`static String` | `SPLIT_NODE_ELEMENT_NAME`

Field Detail

### PERSPECTIVE_MODEL_ELEMENT_NAME

    static final String PERSPECTIVE_MODEL_ELEMENT_NAME

See Also:
  Constant Field Values

### PERSPECTIVE_MODEL_ATTRIBUTE_CURRENT_PERSPECTIVE_ID

    static final String PERSPECTIVE_MODEL_ATTRIBUTE_CURRENT_PERSPECTIVE_ID

See Also:
  Constant Field Values

### PERSPECTIVE_MODEL_ATTRIBUTE_DEFAULT_PERSPECTIVE_ID

    static final String PERSPECTIVE_MODEL_ATTRIBUTE_DEFAULT_PERSPECTIVE_ID

See Also:
  Constant Field Values

### PERSPECTIVE_ELEMENT_NAME

    static final String PERSPECTIVE_ELEMENT_NAME

See Also:
  Constant Field Values

### PERSPECTIVE_ATTRIBUTE_ID

    static final String PERSPECTIVE_ATTRIBUTE_ID

See Also:
  Constant Field Values

### PERSPECTIVE_ATTRIBUTE_NAME

    static final String PERSPECTIVE_ATTRIBUTE_NAME

See Also:
  Constant Field Values

### LAYOUT_ELEMENT_NAME

    static final String LAYOUT_ELEMENT_NAME

See Also:
  Constant Field Values

### FLOATING_GROUP_ELEMENT_NAME

    static final String FLOATING_GROUP_ELEMENT_NAME

See Also:
  Constant Field Values

### FLOATING_GROUP_ATTRIBUTE_NAME

    static final String FLOATING_GROUP_ATTRIBUTE_NAME

See Also:
  Constant Field Values

### RECTANGLE_ELEMENT_NAME

    static final String RECTANGLE_ELEMENT_NAME

See Also:
  Constant Field Values

### POINT_ELEMENT_NAME

    static final String POINT_ELEMENT_NAME

See Also:
  Constant Field Values

### POINT_ATTRIBUTE_X

    static final String POINT_ATTRIBUTE_X

See Also:
  Constant Field Values

### POINT_ATTRIBUTE_Y

    static final String POINT_ATTRIBUTE_Y

See Also:
  Constant Field Values

### DIMENSION_ELEMENT_NAME

    static final String DIMENSION_ELEMENT_NAME

See Also:
  Constant Field Values

### DIMENSION_ATTRIBUTE_WIDTH

    static final String DIMENSION_ATTRIBUTE_WIDTH

See Also:
  Constant Field Values

### DIMENSION_ATTRIBUTE_HEIGHT

    static final String DIMENSION_ATTRIBUTE_HEIGHT

See Also:
  Constant Field Values

### DOCKING_STATE_ELEMENT_NAME

    static final String DOCKING_STATE_ELEMENT_NAME

See Also:
  Constant Field Values

### DOCKING_STATE_ATTRIBUTE_STATE

    static final String DOCKING_STATE_ATTRIBUTE_STATE

See Also:
  Constant Field Values

### DOCKING_STATE_ATTRIBUTE_SPLIT_RATIO

    static final String DOCKING_STATE_ATTRIBUTE_SPLIT_RATIO

See Also:
  Constant Field Values

### DOCKING_STATE_ATTRIBUTE_MINIMIZE_CONSTRAINT

    static final String DOCKING_STATE_ATTRIBUTE_MINIMIZE_CONSTRAINT

See Also:
  Constant Field Values

### DOCKING_STATE_ATTRIBUTE_DOCKABLE_ID

    static final String DOCKING_STATE_ATTRIBUTE_DOCKABLE_ID

See Also:
  Constant Field Values

### DOCKING_STATE_ATTRIBUTE_RELATIVE_PARENT_ID

    static final String DOCKING_STATE_ATTRIBUTE_RELATIVE_PARENT_ID

See Also:
  Constant Field Values

### DOCKING_STATE_ATTRIBUTE_REGION

    static final String DOCKING_STATE_ATTRIBUTE_REGION

See Also:
  Constant Field Values

### DOCKING_STATE_ATTRIBUTE_FLOATING_GROUP_NAME

    static final String DOCKING_STATE_ATTRIBUTE_FLOATING_GROUP_NAME

See Also:
  Constant Field Values

### DOCKING_PATH_ELEMENT_NAME

    static final String DOCKING_PATH_ELEMENT_NAME

See Also:
  Constant Field Values

### DOCKING_PATH_ATTRIBUTE_ROOT_PORT_ID

    static final String DOCKING_PATH_ATTRIBUTE_ROOT_PORT_ID

See Also:
  Constant Field Values

### DOCKING_PATH_ATTRIBUTE_IS_TABBED

    static final String DOCKING_PATH_ATTRIBUTE_IS_TABBED

See Also:
  Constant Field Values

### DOCKING_PATH_ATTRIBUTE_SIBLING_ID

    static final String DOCKING_PATH_ATTRIBUTE_SIBLING_ID

See Also:
  Constant Field Values

### SPLIT_NODE_ELEMENT_NAME

    static final String SPLIT_NODE_ELEMENT_NAME

See Also:
  Constant Field Values

### SPLIT_NODE_ATTRIBUTE_ORIENTATION

    static final String SPLIT_NODE_ATTRIBUTE_ORIENTATION

See Also:
  Constant Field Values

### SPLIT_NODE_ATTRIBUTE_REGION

    static final String SPLIT_NODE_ATTRIBUTE_REGION

See Also:
  Constant Field Values

### SPLIT_NODE_ATTRIBUTE_PERCENTAGE

    static final String SPLIT_NODE_ATTRIBUTE_PERCENTAGE

See Also:
  Constant Field Values

### SPLIT_NODE_ATTRIBUTE_SIBLING_ID

    static final String SPLIT_NODE_ATTRIBUTE_SIBLING_ID

See Also:
  Constant Field Values

### SPLIT_NODE_ATTRIBUTE_DOCKING_REGION

    static final String SPLIT_NODE_ATTRIBUTE_DOCKING_REGION

See Also:
  Constant Field Values

### LAYOUT_SEQUENCE_ELEMENT_NAME

    static final String LAYOUT_SEQUENCE_ELEMENT_NAME

See Also:
  Constant Field Values

### DOCKABLE_NODE_ELEMENT_NAME

    static final String DOCKABLE_NODE_ELEMENT_NAME

See Also:
  Constant Field Values

### DOCKABLE_NODE_ATTRIBUTE_DOCKABLE_ID

    static final String DOCKABLE_NODE_ATTRIBUTE_DOCKABLE_ID

See Also:
  Constant Field Values

### DOCKING_PORT_NODE_ELEMENT_NAME

    static final String DOCKING_PORT_NODE_ELEMENT_NAME

See Also:
  Constant Field Values

### DOCKABLE_ELEMENT_NAME

    static final String DOCKABLE_ELEMENT_NAME

See Also:
  Constant Field Values

### DOCKABLE_ATTRIBUTE_ID

    static final String DOCKABLE_ATTRIBUTE_ID

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD